INSERT OVERWRITE TABLE sensors_all PARTITION (date)
  SELECT 
    s1.time,
    s1.month,
    s1.day,
    s1.hour,
    if(s1.holiday=1, 1, if(s1.workingday=1, 1, 0)) AS workingday,
case
      when concat(split(s1.date, '-')[0],'-01-01')<= s1.date
          and s1.date <= concat(split(s1.date, '-')[0],'-03-20') then 4
      when concat(split(s1.date, '-')[0],'-03-21')<= s1.date
          and s1.date <= concat(split(s1.date, '-')[0],'-06-20') then 1
      when concat(split(s1.date, '-')[0],'-06-21')<= s1.date
          and s1.date <= concat(split(s1.date, '-')[0],'-09-22') then 2
      when concat(split(s1.date, '-')[0],'-09-23')<= s1.date
          and s1.date <= concat(split(s1.date, '-')[0],'-12-20') then 3
      when concat(split(s1.date, '-')[0],'-12-21')<= s1.date
          and s1.date <= concat(split(s1.date, '-')[0],'-12-31') then 4
      else 0 end as season,
    s1.measured as demand, 
    s2.measured as pressure,
    s1.date
FROM 
    sensor1_T3 s1
    JOIN sensor2_T3 s2 ON (s1.time = s2.time);